module Klastera::Concerns::ClusterFilter
  extend ActiveSupport::Concern

  included do
    include ActiveModel::Model
    include ActiveModel::Validations::Callbacks

    attr_accessor :cluster_id
  end
  
  module ClassMethods
    def attr_accessor(*vars)
      @attributes ||= []
      @attributes.concat vars
      super(*vars)
    end

    def attributes
      @attributes
    end
  end
end